
package net.mcreator.summervacation.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.PickaxeItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;

import net.mcreator.summervacation.init.SummerVacationModItems;

public class NeptunePickaxeItem extends PickaxeItem {
	public NeptunePickaxeItem() {
		super(new Tier() {
			public int getUses() {
				return 441;
			}

			public float getSpeed() {
				return 8f;
			}

			public float getAttackDamageBonus() {
				return 4f;
			}

			public int getLevel() {
				return 3;
			}

			public int getEnchantmentValue() {
				return 21;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(SummerVacationModItems.NEPTUNE_INGOT.get()));
			}
		}, 1, -2f, new Item.Properties());
	}
}
