
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.summervacation.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.bus.api.IEventBus;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.BlockItem;
import net.minecraft.core.registries.BuiltInRegistries;

import net.mcreator.summervacation.item.SanddustItem;
import net.mcreator.summervacation.item.SandArmorItem;
import net.mcreator.summervacation.item.NeptuneSwordItem;
import net.mcreator.summervacation.item.NeptuneShovelItem;
import net.mcreator.summervacation.item.NeptunePickaxeItem;
import net.mcreator.summervacation.item.NeptuneIngotItem;
import net.mcreator.summervacation.item.NeptuneHoeItem;
import net.mcreator.summervacation.item.NeptuneAxeItem;
import net.mcreator.summervacation.item.NeptuneArmorItem;
import net.mcreator.summervacation.SummerVacationMod;

public class SummerVacationModItems {
	public static final DeferredRegister<Item> REGISTRY = DeferredRegister.create(BuiltInRegistries.ITEM, SummerVacationMod.MODID);
	public static final DeferredHolder<Item, Item> PALM_WOOD = block(SummerVacationModBlocks.PALM_WOOD);
	public static final DeferredHolder<Item, Item> PALM_LOG = block(SummerVacationModBlocks.PALM_LOG);
	public static final DeferredHolder<Item, Item> PALM_PLANKS = block(SummerVacationModBlocks.PALM_PLANKS);
	public static final DeferredHolder<Item, Item> PALM_LEAVES = block(SummerVacationModBlocks.PALM_LEAVES);
	public static final DeferredHolder<Item, Item> PALM_STAIRS = block(SummerVacationModBlocks.PALM_STAIRS);
	public static final DeferredHolder<Item, Item> PALM_SLAB = block(SummerVacationModBlocks.PALM_SLAB);
	public static final DeferredHolder<Item, Item> PALM_FENCE = block(SummerVacationModBlocks.PALM_FENCE);
	public static final DeferredHolder<Item, Item> PALM_FENCE_GATE = block(SummerVacationModBlocks.PALM_FENCE_GATE);
	public static final DeferredHolder<Item, Item> PALM_PRESSURE_PLATE = block(SummerVacationModBlocks.PALM_PRESSURE_PLATE);
	public static final DeferredHolder<Item, Item> PALM_BUTTON = block(SummerVacationModBlocks.PALM_BUTTON);
	public static final DeferredHolder<Item, Item> NEPTUNE_INGOT = REGISTRY.register("neptune_ingot", () -> new NeptuneIngotItem());
	public static final DeferredHolder<Item, Item> NEPTUNE_ORE = block(SummerVacationModBlocks.NEPTUNE_ORE);
	public static final DeferredHolder<Item, Item> NEPTUNE_BLOCK = block(SummerVacationModBlocks.NEPTUNE_BLOCK);
	public static final DeferredHolder<Item, Item> NEPTUNE_PICKAXE = REGISTRY.register("neptune_pickaxe", () -> new NeptunePickaxeItem());
	public static final DeferredHolder<Item, Item> NEPTUNE_AXE = REGISTRY.register("neptune_axe", () -> new NeptuneAxeItem());
	public static final DeferredHolder<Item, Item> NEPTUNE_SWORD = REGISTRY.register("neptune_sword", () -> new NeptuneSwordItem());
	public static final DeferredHolder<Item, Item> NEPTUNE_SHOVEL = REGISTRY.register("neptune_shovel", () -> new NeptuneShovelItem());
	public static final DeferredHolder<Item, Item> NEPTUNE_HOE = REGISTRY.register("neptune_hoe", () -> new NeptuneHoeItem());
	public static final DeferredHolder<Item, Item> NEPTUNE_ARMOR_HELMET = REGISTRY.register("neptune_armor_helmet", () -> new NeptuneArmorItem.Helmet());
	public static final DeferredHolder<Item, Item> NEPTUNE_ARMOR_CHESTPLATE = REGISTRY.register("neptune_armor_chestplate", () -> new NeptuneArmorItem.Chestplate());
	public static final DeferredHolder<Item, Item> NEPTUNE_ARMOR_LEGGINGS = REGISTRY.register("neptune_armor_leggings", () -> new NeptuneArmorItem.Leggings());
	public static final DeferredHolder<Item, Item> NEPTUNE_ARMOR_BOOTS = REGISTRY.register("neptune_armor_boots", () -> new NeptuneArmorItem.Boots());
	public static final DeferredHolder<Item, Item> SANDDUST = REGISTRY.register("sanddust", () -> new SanddustItem());
	public static final DeferredHolder<Item, Item> SAND_ARMOR_HELMET = REGISTRY.register("sand_armor_helmet", () -> new SandArmorItem.Helmet());
	public static final DeferredHolder<Item, Item> SAND_ARMOR_CHESTPLATE = REGISTRY.register("sand_armor_chestplate", () -> new SandArmorItem.Chestplate());
	public static final DeferredHolder<Item, Item> SAND_ARMOR_LEGGINGS = REGISTRY.register("sand_armor_leggings", () -> new SandArmorItem.Leggings());
	public static final DeferredHolder<Item, Item> SAND_ARMOR_BOOTS = REGISTRY.register("sand_armor_boots", () -> new SandArmorItem.Boots());

	// Start of user code block custom items
	// End of user code block custom items
	public static void register(IEventBus bus) {
		REGISTRY.register(bus);
	}

	private static DeferredHolder<Item, Item> block(DeferredHolder<Block, Block> block) {
		return REGISTRY.register(block.getId().getPath(), () -> new BlockItem(block.get(), new Item.Properties()));
	}
}
